import { getDefaultFooter } from "@/services/apis/footer";
import FooterLogoAndSocials from "../common/appbars/FooterLogoAndSocials";
import FooterLists from "../common/appbars/FooterLists";

const MainFooter = async () => {
  const footerData = await getDefaultFooter();
  return (
    <footer className="w-full  py-6 md:py-8 bg-tertiary-main">
      <div className="w-full  container flex flex-col gap-4 items-center">
        <div className="w-full grid grid-cols-1 lg:grid-cols-7  gap-4  lg:justify-between">
          <FooterLogoAndSocials
            logo={footerData?.mainData?.logo}
            desc={footerData?.mainData?.desc}
            socials={footerData?.socials}
          />
          <div className="w-full col-span-3">
            <FooterLists lists={footerData?.lists} />
          </div>
          <div className="w-full flex items-center col-span-2 ">
            <div className="w-full flex items-center justify-center gap-4 ">
              <div className="w-[50%] md:w-[160px]  h-[190px] rounded-2xl bg-white"></div>
              <div className="w-[50%] md:w-[160px] h-[190px] rounded-2xl bg-white"></div>
            </div>
          </div>
        </div>
        <p className="text-center">{footerData?.mainData?.privacy}</p>
      </div>
    </footer>
  );
};

export default MainFooter;
